import {
  Component,
  OnInit,
  OnDestroy,
  ChangeDetectionStrategy,
  ChangeDetectorRef,
  EventEmitter,
  Output
} from '@angular/core';

@Component({
  selector: 'app-layout-selector',
  templateUrl: './selector.layout.component.html',
  styleUrls: ['./selector.layout.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class SelectorLayoutComponent implements OnInit, OnDestroy {
  @Output()
  closed = new EventEmitter<void>();

  constructor(private changeDetectorRef: ChangeDetectorRef) {}

  ngOnInit(): void {}

  ngOnDestroy(): void {}

  onClickClose(event: MouseEvent): void {
    this.closed.emit();
  }
}
