import { Component, OnInit, OnDestroy } from '@angular/core';

import { LocalStorageService } from '@ucap/ng-web-storage';

import { environment } from '@environments';

import { UserStore } from '@app/models/user-store';
import { AppKey } from '@app/types/app-key.type';
import { Subject } from 'rxjs';
import { takeUntil } from 'rxjs/operators';

@Component({
  selector: 'app-pages-account-logout',
  templateUrl: './logout.page.component.html',
  styleUrls: ['./logout.page.component.scss']
})
export class LogoutPageComponent implements OnInit, OnDestroy {
  private ngOnDestroySubject: Subject<void> = new Subject();

  constructor(private localStorageService: LocalStorageService) {}

  ngOnInit(): void {}

  ngOnDestroy(): void {
    if (!!this.ngOnDestroySubject) {
      this.ngOnDestroySubject.next();
      this.ngOnDestroySubject.complete();
    }
  }
}
