import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTabsModule } from '@angular/material/tabs';

import { UiDateModule } from '@ucap/ng-ui/date';
import { UiPhoneModule } from '@ucap/ng-ui/phone';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';
import { OrganizationUiModule } from '@ucap/ng-ui-organization';

import { AppOrganizationModule } from '@app/ucap/organization/organization.module';
import { AppCallSectionModule } from '@app/sections/call/call.section.module';

import { AppCallRoutingPageModule } from './call-routing.page.module';
import { COMPONENTS } from './components';
import { AppGroupModule } from '@app/ucap/group/group.module';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,

    MatButtonModule,
    MatIconModule,
    MatTabsModule,

    I18nModule,

    UiDateModule,
    UiPhoneModule,

    OrganizationUiModule,

    AppOrganizationModule,

    AppCallSectionModule,
    AppCallRoutingPageModule,
    AppGroupModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['call', 'common']
    }
  ]
})
export class AppCallPageModule {}
