import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatButtonModule } from '@angular/material/button';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatTooltipModule } from '@angular/material/tooltip';

import { AppChatSectionModule } from '@app/sections/chat/chat.section.module';

import { AppChatRoutingPageModule } from './chat-routing.page.module';

import { UiCoreModule } from '@ucap/ng-ui/core';
import { UiDateModule } from '@ucap/ng-ui/date';
import { UiViewerModule } from '@ucap/ng-ui/viewer';

import { COMPONENTS } from './components';
import { UCAP_I18N_NAMESPACE, I18nModule } from '@ucap/ng-i18n';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,

    MatIconModule,
    MatMenuModule,
    MatCheckboxModule,
    MatButtonModule,
    MatSidenavModule,
    MatTooltipModule,

    UiCoreModule,
    UiDateModule,
    UiViewerModule,

    AppChatSectionModule,
    AppChatRoutingPageModule,

    I18nModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['chat', 'common']
    }
  ]
})
export class AppChatPageModule {}
