import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatTabsModule } from '@angular/material/tabs';

// import { UiModule } from '@ucap/ng-ui';

import { AppOrganizationModule } from '@app/ucap/organization/organization.module';

import { AppGroupSectionModule } from '@app/sections/group/group.section.module';

import { AppGroupRoutingPageModule } from './group-routing.page.module';

import { COMPONENTS } from './components';
import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,

    MatButtonModule,
    MatIconModule,
    MatMenuModule,
    MatTabsModule,

    AppOrganizationModule,

    AppGroupSectionModule,
    AppGroupRoutingPageModule,

    I18nModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['group', 'common']
    }
  ]
})
export class AppGroupPageModule {}
