import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { ScrollingModule } from '@angular/cdk/scrolling';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatTabsModule } from '@angular/material/tabs';
import { MatProgressBarModule } from '@angular/material/progress-bar';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';
// import { UiModule } from '@ucap/ng-ui';
import { CallUiModule } from '@ucap/ng-ui-call';
import { OrganizationUiModule } from '@ucap/ng-ui-organization';

import { AppLayoutsModule } from '@app/layouts/layouts.module';
import { AppOrganizationModule } from '@app/ucap/organization/organization.module';
import { AppGroupSectionModule } from '../group/group.section.module';

import { COMPONENTS } from './components';
import { DIALOGS } from './dialogs';
import { AppCallModule } from '@app/ucap/call/call.module';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,

    MatIconModule,
    MatButtonModule,
    MatTooltipModule,
    MatTabsModule,
    MatProgressBarModule,

    PerfectScrollbarModule,
    ScrollingModule,

    I18nModule,

    AppLayoutsModule,
    AppGroupSectionModule,
    AppOrganizationModule,
    AppCallModule,

    CallUiModule,
    OrganizationUiModule
  ],
  exports: [...COMPONENTS, ...DIALOGS],
  declarations: [...COMPONENTS, ...DIALOGS],
  entryComponents: [...DIALOGS],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['call', 'common']
    }
  ]
})
export class AppCallSectionModule {}
