import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatRippleModule } from '@angular/material/core';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatBadgeModule } from '@angular/material/badge';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatSelectModule } from '@angular/material/select';
import { MatTreeModule } from '@angular/material/tree';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatStepperModule } from '@angular/material/stepper';
import { MatDividerModule } from '@angular/material/divider';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatRadioModule } from '@angular/material/radio';
import { MatTabsModule } from '@angular/material/tabs';
import { MatProgressBarModule } from '@angular/material/progress-bar';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

import { UiCoreModule } from '@ucap/ng-ui/core';
import { UiDateModule } from '@ucap/ng-ui/date';
import { UiViewerModule } from '@ucap/ng-ui/viewer';
import { UiscrollingModule } from '@ucap/ng-ui/scrolling';

import { ChatUiModule } from '@ucap/ng-ui-chat';
import { OrganizationUiModule } from '@ucap/ng-ui-organization';
import { AppOrganizationModule } from '@app/ucap/organization/organization.module';

import { AppChatModule } from '@app/ucap/chat/chat.module';
import { AppLayoutsModule } from '@app/layouts/layouts.module';
import { AppGroupSectionModule } from '../group/group.section.module';

import { COMPONENTS } from './components';
import { DIALOGS } from './dialogs';
import { DRAWERS } from './drawers';
import { DIRECTIVES } from './directives';
import { AppGroupModule } from '@app/ucap/group/group.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,

    MatInputModule,
    MatFormFieldModule,
    MatIconModule,
    MatCardModule,
    MatCheckboxModule,
    MatAutocompleteModule,
    MatSelectModule,
    MatBadgeModule,
    MatMenuModule,
    MatToolbarModule,
    MatButtonModule,
    MatRippleModule,
    MatTreeModule,
    MatTooltipModule,
    MatStepperModule,
    MatDividerModule,
    MatSlideToggleModule,
    MatRadioModule,
    MatTabsModule,
    MatProgressBarModule,

    PerfectScrollbarModule,

    I18nModule,

    UiCoreModule,
    UiDateModule,
    UiViewerModule,
    UiscrollingModule,

    AppLayoutsModule,
    AppGroupSectionModule,
    AppOrganizationModule,
    ChatUiModule,
    OrganizationUiModule,

    AppChatModule,
    AppGroupModule
  ],
  exports: [...COMPONENTS, ...DIALOGS, ...DRAWERS, ...DIRECTIVES],
  declarations: [...COMPONENTS, ...DIALOGS, ...DRAWERS, ...DIRECTIVES],
  entryComponents: [...DIALOGS, ...DRAWERS],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['chat', 'common']
    }
  ]
})
export class AppChatSectionModule {}
