import {
  Component,
  OnInit,
  OnDestroy,
  Output,
  EventEmitter,
  ChangeDetectorRef,
  ChangeDetectionStrategy,
  Input
} from '@angular/core';
import { SearchInfo } from '@app/pages/chat/models/search-info';

@Component({
  selector: 'app-sections-chat-chat-search',
  templateUrl: './chat-search.section.component.html',
  styleUrls: ['./chat-search.section.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class ChatSearchSectionComponent implements OnInit, OnDestroy {
  @Input()
  isChatSearch = false;

  @Output()
  chatSearch = new EventEmitter<SearchInfo>();

  @Output()
  closeChatSearch = new EventEmitter<void>();

  searchObj: SearchInfo = {
    isShowSearch: false,
    searchWord: ''
  };
  constructor(private changeDetectorRef: ChangeDetectorRef) {}

  ngOnInit(): void {}

  ngOnDestroy(): void {}

  onChatSearch(searchWord: string) {
    alert(searchWord);

    this.searchObj = {
      isShowSearch: true,
      searchWord
    } as SearchInfo;
    this.chatSearch.emit(this.searchObj);
  }

  onCancel(): void {
    this.closeChatSearch.emit();
  }
}
