import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatTabsModule } from '@angular/material/tabs';
import { MatChipsModule } from '@angular/material/chips';
import { MatButtonModule } from '@angular/material/button';
import { MatStepperModule } from '@angular/material/stepper';
import { MatCardModule } from '@angular/material/card';
import { MatMenuModule } from '@angular/material/menu';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

import { UiInputModule } from '@ucap/ng-ui/input';

import { OrganizationUiModule } from '@ucap/ng-ui-organization';
import { ChatUiModule } from '@ucap/ng-ui-chat';

import { AppLayoutsModule } from '@app/layouts/layouts.module';
import { AppOrganizationModule } from '@app/ucap/organization/organization.module';
import { AppGroupModule } from '@app/ucap/group/group.module';

import { COMPONENTS } from './components';
import { DIALOGS } from './dialogs';
import { AppChatModule } from '@app/ucap/chat/chat.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,
    MatFormFieldModule,
    MatInputModule,
    MatIconModule,
    MatCardModule,
    MatCheckboxModule,
    MatSelectModule,
    MatTabsModule,
    MatChipsModule,
    MatButtonModule,
    MatStepperModule,
    MatMenuModule,
    PerfectScrollbarModule,

    I18nModule,

    UiInputModule,

    OrganizationUiModule,
    ChatUiModule,

    AppLayoutsModule,
    AppOrganizationModule,
    AppChatModule,
    AppGroupModule
  ],
  exports: [...COMPONENTS, ...DIALOGS],
  declarations: [...COMPONENTS, ...DIALOGS],
  entryComponents: [...DIALOGS],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['group', 'organization', 'common']
    }
  ]
})
export class AppGroupSectionModule {}
