import { Injectable } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import {
  SettingsDialogComponent,
  SettingsDialogData,
  SettingsDialogResult
} from '@app/dialogs/account/components/settings.dialog.component';

import { AppAuthenticationService } from './app-authentication.service';

@Injectable({
  providedIn: 'root'
})
export class AppAccountService {
  constructor(
    private appAuthenticationService: AppAuthenticationService,
    private matDialog: MatDialog
  ) {}

  async dialogForSettings() {
    const userStore = this.appAuthenticationService.getUserStore();

    const result = this.matDialog.open<
      SettingsDialogComponent,
      SettingsDialogData,
      SettingsDialogResult
    >(SettingsDialogComponent, {
      panelClass: 'settings-dialog-panel',
      data: {
        settings: userStore.settings
      }
    });
  }
}
