import { of } from 'rxjs';
import { take } from 'rxjs/operators';

import { Injectable } from '@angular/core';

import { Store } from '@ngrx/store';

import { User, UserInfoSS } from '@ucap/domain-organization';

import { QueryProtocolService } from '@ucap/ng-protocol-query';

@Injectable({
  providedIn: 'root'
})
export class AppOrganizationService {
  constructor(
    private store: Store<any>,
    private queryProtocolService: QueryProtocolService
  ) {}

  getUserInfo(value: {
    userSeq: string;
    user: User;
  }): Promise<{
    userInfo: UserInfoSS;
  }> {
    return new Promise<{
      userInfo: UserInfoSS;
    }>(async (resolve, reject) => {
      this.queryProtocolService
        .dataUser({
          divCd: 'SRCHUSER',
          seq: Number(value.userSeq),
          senderCompanyCode: value.user.info.companyCode,
          senderEmployeeType: value.user.info.employeeType
        })
        .pipe(take(1))
        .subscribe(
          (dataUserRes) => {
            resolve({
              userInfo: dataUserRes.userInfo
            });
          },
          (error) => {
            reject(error);
          }
        );
    });
  }
}
