import { createAction, props } from '@ngrx/store';
import { WindowSizeMode } from '@app/types/window-size-mode.type';

export const init = createAction('[ucap::LG::app] init');

export const windowResized = createAction(
  '[ucap::LG::app] windowResized',
  props<{ width: number; height: number }>()
);

export const windowSizeModeChanged = createAction(
  '[ucap::LG::app] windowSizeModeChanged',
  props<{ windowSizeMode: WindowSizeMode }>()
);

export const idleTimeChanged = createAction(
  '[ucap::LG::app] idleTimeChanged',
  props<{ idleTime: number }>()
);

export const openedLiftSideNav = createAction(
  '[ucap::LG::app] openedLiftSideNav',
  props<{ opened: boolean }>()
);
