import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import {
  windowResized,
  windowSizeModeChanged,
  openedLiftSideNav
} from './actions';

export const reducer = createReducer(
  initialState,
  on(windowResized, (state, action) => {
    return {
      ...state,
      windowSize: {
        width: action.width,
        height: action.height
      }
    };
  }),
  on(windowSizeModeChanged, (state, action) => {
    return {
      ...state,
      windowSizeMode: action.windowSizeMode
    };
  }),
  on(openedLiftSideNav, (state, action) => {
    return {
      ...state,
      openedLeftSideNav: action.opened
    };
  })
);
