import { Selector, createSelector } from '@ngrx/store';

import { WindowSizeMode } from '@app/types/window-size-mode.type';

export interface State {
  windowSize: {
    width: number;
    height: number;
  };
  windowSizeMode: WindowSizeMode;
  openedLeftSideNav: boolean;
}

export const initialState: State = {
  windowSize: {
    width: 0,
    height: 0
  },
  windowSizeMode: WindowSizeMode.normal,
  openedLeftSideNav: false
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    windowSize: createSelector(selector, (state: State) => state.windowSize),
    windowSizeMode: createSelector(
      selector,
      (state: State) => state.windowSizeMode
    ),
    openedLeftSideNav: createSelector(
      selector,
      (state: State) => state.openedLeftSideNav
    )
  };
}
