import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';
// import { UiModule } from '@ucap/ng-ui';
import { AuthenticationUiModule } from '@ucap/ng-ui-authentication';

import { COMPONENTS } from './components';
import { MatButtonModule } from '@angular/material/button';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,

    MatCheckboxModule,
    MatIconModule,
    MatInputModule,
    MatButtonModule,

    PerfectScrollbarModule,
    I18nModule,

    AuthenticationUiModule
  ],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['authentication', 'common']
    }
  ]
})
export class AppAuthenticationModule {}
