import {
  Component,
  OnInit,
  Output,
  EventEmitter,
  OnDestroy
} from '@angular/core';

import { SendEventMailType } from '@ucap/pi';

@Component({
  selector: 'app-chat-selector-email-send',
  templateUrl: './email-send.selector.component.html',
  styleUrls: ['./email-send.selector.component.scss']
})
export class EmailSendSelectorComponent implements OnInit, OnDestroy {
  @Output()
  sendEventEmail = new EventEmitter<SendEventMailType>();

  @Output()
  closed = new EventEmitter<void>();

  SendEventMailType = SendEventMailType;

  constructor() {}

  ngOnInit() {}

  ngOnDestroy(): void {}

  onClickClose(): void {
    this.closed.emit();
  }

  onSendEventEmail(type: SendEventMailType): void {
    this.sendEventEmail.emit(type);
  }
}
