import {
  Component,
  OnInit,
  AfterViewInit,
  Output,
  EventEmitter,
  Input
} from '@angular/core';

import {
  UserInfo as RoomUserInfo,
  UserInfoShort as RoomUserInfoShort,
  Info,
  EventJson
} from '@ucap/domain-chat';

import { ChatUtil } from '@ucap/ng-store-chat';

@Component({
  selector: 'app-chat-recent-message',
  templateUrl: './recent-message.component.html',
  styleUrls: ['./recent-message.component.scss']
})
export class RecentMessageComponent implements OnInit {
  @Input()
  senderInfo: RoomUserInfoShort | RoomUserInfo;

  @Input()
  message: Info<EventJson>;

  @Input()
  defaultProfileImage = '';
  @Input()
  profileImageRoot = '';

  @Output()
  gotoBottom = new EventEmitter<void>();

  constructor() {}

  ngOnInit() {}

  getMessage(message: Info<EventJson>): string {
    return ChatUtil.convertFinalEventMessage(
      message.type,
      message.sentMessageJson
    );
  }

  onClickGotoBottom(): void {
    this.gotoBottom.emit();
  }
}
