import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { FlexLayoutModule } from '@angular/flex-layout';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatRippleModule } from '@angular/material/core';
import { MatSelectModule } from '@angular/material/select';
import { MatTreeModule } from '@angular/material/tree';
import { MatTooltipModule } from '@angular/material/tooltip';

import { I18nModule } from '@ucap/ng-i18n';

import { UiBreadcrumbModule } from '@ucap/ng-ui/breadcrumb';
import { UiscrollingModule } from '@ucap/ng-ui/scrolling';

import { OrganizationUiModule } from '@ucap/ng-ui-organization';

import { COMPONENTS } from './components';
import { AppGroupModule } from '../group/group.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    FlexLayoutModule,

    MatButtonModule,
    MatCheckboxModule,
    MatFormFieldModule,
    MatIconModule,
    MatInputModule,
    MatProgressBarModule,
    MatRippleModule,
    MatSelectModule,
    MatTreeModule,
    MatTooltipModule,

    PerfectScrollbarModule,

    I18nModule,
    UiBreadcrumbModule,
    UiscrollingModule,

    OrganizationUiModule,

    AppGroupModule
  ],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppOrganizationModule {}
